USE COWS
GO

ALTER TABLE dbo.SYS_LOG
DROP CONSTRAINT PK_SYS_LOG
GO

ALTER TABLE dbo.SYS_LOG
ALTER COLUMN [ID] BIGINT NOT NULL
GO

ALTER TABLE dbo.SYS_LOG
ADD CONSTRAINT [PK_SYS_LOG] PRIMARY KEY (ID)
GO

ALTER TABLE dbo.SQL_ERROR
DROP CONSTRAINT PK_SQL_ERROR
GO

ALTER TABLE dbo.SQL_ERROR
ALTER COLUMN [SQL_ERROR_ID] BIGINT NOT NULL
GO

ALTER TABLE dbo.SQL_ERROR
ADD CONSTRAINT [PK_SQL_ERROR] PRIMARY KEY (SQL_ERROR_ID)
GO

ALTER TABLE dbo.CCD_HIST
DROP CONSTRAINT FK01_CCD_HIST
GO

DROP INDEX IX02_CCD_HIST ON dbo.CCD_HIST
GO

ALTER TABLE dbo.CCD_HIST
ALTER COLUMN [NTE_ID] BIGINT NOT NULL
GO

CREATE NONCLUSTERED INDEX [IX02_CCD_HIST] ON [dbo].[CCD_HIST]
(
	[NTE_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

ALTER TABLE dbo.ORDR_JPRDY
DROP CONSTRAINT FK03_ORDR_JPRDY
GO

ALTER TABLE dbo.ORDR_JPRDY
DROP CONSTRAINT PK_ORDR_JPRDY
GO

ALTER TABLE dbo.ORDR_JPRDY
ALTER COLUMN [NTE_ID] BIGINT NOT NULL
GO


ALTER TABLE dbo.ORDR_NTE
DROP CONSTRAINT PK_ORDR_NTE
GO

ALTER TABLE dbo.ORDR_NTE
ALTER COLUMN [NTE_ID] BIGINT NOT NULL
GO

ALTER TABLE dbo.ORDR_NTE
ADD CONSTRAINT [PK_ORDR_NTE] PRIMARY KEY (NTE_ID)
GO


ALTER TABLE dbo.CCD_HIST
ADD CONSTRAINT [FK01_CCD_HIST] FOREIGN KEY (NTE_ID) REFERENCES COWS.dbo.ORDR_NTE (NTE_ID)
GO

ALTER TABLE dbo.ORDR_JPRDY
ADD CONSTRAINT [PK_ORDR_JPRDY] PRIMARY KEY (ORDR_ID, JPRDY_CD, NTE_ID)
GO

ALTER TABLE dbo.ORDR_JPRDY
ADD CONSTRAINT [FK03_ORDR_JPRDY] FOREIGN KEY (NTE_ID) REFERENCES COWS.dbo.ORDR_NTE (NTE_ID)
GO

ALTER TABLE dbo.EVENT_SUCSS_ACTY
DROP CONSTRAINT PK_EVENT_SUCSS_ACTY
GO

ALTER TABLE dbo.EVENT_SUCSS_ACTY
DROP CONSTRAINT FK02_EVENT_SUCSS_ACTY
GO

ALTER TABLE dbo.EVENT_SUCSS_ACTY
ALTER COLUMN [EVENT_HIST_ID] BIGINT NOT NULL
GO

ALTER TABLE dbo.EVENT_FAIL_ACTY
DROP CONSTRAINT PK_EVENT_FAIL_ACTY
GO

ALTER TABLE dbo.EVENT_FAIL_ACTY
DROP CONSTRAINT FK02_EVENT_FAIL_ACTY
GO

ALTER TABLE dbo.EVENT_FAIL_ACTY
ALTER COLUMN [EVENT_HIST_ID] BIGINT NOT NULL
GO

ALTER TABLE dbo.FEDLINE_REQ_ACT_HIST
DROP CONSTRAINT FK02_FEDLINE_REQ_ACT_HIST
GO

ALTER TABLE dbo.FEDLINE_REQ_ACT_HIST
ALTER COLUMN [EVENT_HIST_ID] BIGINT NULL
GO

ALTER TABLE dbo.EVENT_HIST
DROP CONSTRAINT PK_EVENT_HIST
GO

ALTER TABLE dbo.EVENT_HIST
ALTER COLUMN [EVENT_HIST_ID] BIGINT NOT NULL
GO

ALTER TABLE dbo.EVENT_HIST
ADD CONSTRAINT [PK_EVENT_HIST] PRIMARY KEY (EVENT_HIST_ID)
GO

ALTER TABLE dbo.EVENT_SUCSS_ACTY
ADD CONSTRAINT [PK_EVENT_SUCSS_ACTY] PRIMARY KEY (EVENT_HIST_ID, SUCSS_ACTY_ID, REC_STUS_ID)
GO

ALTER TABLE dbo.EVENT_SUCSS_ACTY
ADD CONSTRAINT [FK02_EVENT_SUCSS_ACTY] FOREIGN KEY (EVENT_HIST_ID) REFERENCES COWS.dbo.EVENT_HIST (EVENT_HIST_ID)
GO

ALTER TABLE dbo.EVENT_FAIL_ACTY
ADD CONSTRAINT [PK_EVENT_FAIL_ACTY] PRIMARY KEY (EVENT_HIST_ID, FAIL_ACTY_ID, REC_STUS_ID)
GO

ALTER TABLE dbo.EVENT_FAIL_ACTY
ADD CONSTRAINT [FK02_EVENT_FAIL_ACTY] FOREIGN KEY (EVENT_HIST_ID) REFERENCES COWS.dbo.EVENT_HIST (EVENT_HIST_ID)
GO

ALTER TABLE dbo.FEDLINE_REQ_ACT_HIST
ADD CONSTRAINT [FK02_FEDLINE_REQ_ACT_HIST] FOREIGN KEY (EVENT_HIST_ID) REFERENCES COWS.dbo.EVENT_HIST (EVENT_HIST_ID)
GO

--sp_help 'COWS.dbo.FEDLINE_REQ_ACT_HIST'
